rxtools, mset without flash cart?

Discussion in '3DS - Flashcards & Custom Firmwares' started by hib, Jul 9, 2015.

  1. hib
    OP

    hib Newbie

    Newcomer
    5
    0
    Jul 4, 2015
    United States
    sorry if this is a newbie question, but i was under the impression i could setup rxtools using the mset exploit without a flash cart. after going to their website the instructions they give us requires one for the setup but i thought we didn't need one. is this possible? would love to not have to load my browser every time to run this exploit.

    thanks for your help!
     
  2. EmceeKerser

    EmceeKerser GBAtemp Maniac

    Member
    1,374
    503
    Jun 3, 2014
    The fuckin' Blue Mountains brah
    Read the rxtools thread.
     
  3. tivu100

    tivu100 GBAtemp Advanced Maniac

    Member
    1,990
    431
    Jun 6, 2015
    United States
    For now (before rxtools 3.0 release), if you want to run rxtools with mset, you need to downgrade to 4.2 using this video tutorial (this video is made by an GBAtemp user, I just forgot his name and Google failed me to search for his thread). Then use Spider exploit to install Rxtools with MSE.

    When rxtools 3.0 is released, I heard we will able to use mset with firmware 9.0-9.2.
     
  4. dekuleon

    dekuleon GBAtemp Advanced Fan

    Member
    GBAtemp Patron
    dekuleon is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    507
    157
    Oct 1, 2010
    Brazil
    where the wind makes the curve
    It is possible, you can downgrade sysnand config on 9.2 or downgrade to 4.x, and install mset using web exploit with code.bin
     
  5. DarkKaine

    DarkKaine GBAtemp Regular

    Member
    272
    293
    Dec 1, 2014
    Netherlands
    Tried this a while ago for hours but had no luck with it.
    Ended up having to use a DS flashcart to install it. And yes I was using the right payload.
     
  6. thaikhoa

    thaikhoa GBAtemp Maniac

    Member
    1,146
    331
    Sep 16, 2008
    Are you able to use mset exploit to run on downgraded mset from sysnand 9.2? I've downgraded and installed mset successfully. However, I've tried many times to run (DS Profile) with no luck. It's ended up with an error to let me restart the console.
     
  7. Nyunyumilk

    Nyunyumilk Member

    Newcomer
    17
    8
    Feb 2, 2008
    I'm using the 2.6c rxTools Cakehax edition using a modified code.bin that was posted in the thread, it works fine with a downgraded MSET on 9.2 sysNAND. You might have to search for the specific files needed though.
     
  8. driverdis

    driverdis I am Justice

    Member
    2,389
    901
    Sep 21, 2011
    United States
    1.048596β
    Is there a way to force the mset downgrade. i tried different versions of 3.0 rxtools and I am stuck with the MSET is expoitable error after attempting the downgrade. The problem is that MSET is still 9.0.
     
  9. mgrev

    mgrev Music Addict, Video Game Fanatic

    Member
    GBAtemp Patron
    mgrev is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    1,835
    2,208
    Apr 13, 2015
    Norway
    Under Tomato Hentai's stairs
    darkflare made it
     
    tivu100 likes this.
  10. tivu100

    tivu100 GBAtemp Advanced Maniac

    Member
    1,990
    431
    Jun 6, 2015
    United States
    Thanks for the headup!


    https://gbatemp.net/threads/release...olkit-fw-2-0-9-2.382782/page-299#post-5565310

    Please note if you use older FBI version, you need manually delete old "mset" file. devmenu_2x or latest FBI version is preferred lest you delete wrong file.
     
  11. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France

    http://gbatemp.net/posts/5575120/
     
    driverdis likes this.
  12. driverdis

    driverdis I am Justice

    Member
    2,389
    901
    Sep 21, 2011
    United States
    1.048596β
  13. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,634
    439
    Jan 8, 2009
    China
    Both FBI 1.4.2 and Devmenu_6x report 0004001000020000.CIA invalid.
    The system is rxTools 2.6 with rxMode SysNAND 9.2.0-20J.
     
    Last edited by MelonGx, Jul 25, 2015
  14. driverdis

    driverdis I am Justice

    Member
    2,389
    901
    Sep 21, 2011
    United States
    1.048596β
    get the CIA using 3DNUS and have it pack it to CIA
    this is how I got mine.
     
  15. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,634
    439
    Jan 8, 2009
    China
    The invalid one did be generated by 3DNUS 1.9.
    Repeated trying it more than 4 times.
    No mistake on ID and version number.

    If the CIA has no problem, then rxTools 2.6 is unsupported.
     
  16. driverdis

    driverdis I am Justice

    Member
    2,389
    901
    Sep 21, 2011
    United States
    1.048596β
    mset 4.x can be used with this info
    0004001000020000.cia (v3074)
    this is for the Japanese MSET

    Load 0004001000020000 into Title ID and 3074 into version
     
  17. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,634
    439
    Jan 8, 2009
    China
    I used rxTools 2.6 official tool generated msetdg.bin instead.
    Now it works on rxTools 3.0 b8 with mset loader 4.X DG rxTools.dat.
     
    driverdis likes this.
  18. driverdis

    driverdis I am Justice

    Member
    2,389
    901
    Sep 21, 2011
    United States
    1.048596β
    thats good. that was easier than when I tried msetdg.bin. mine said it was downgraded and stayed at 9.x MSET and would not me retry the downgrade, which forced me to use a CIA instead.